#include <stdio.h>
#include <stdlib.h>

int main()
{
   int n,k,o;
   scanf("%d %d",&n,&k);
    int a[n];


 for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
        if(a[i]==k)
            o=i;
    }

    if(o==n-1)
        printf("%d",a[0]);

        else
        printf("%d",a[o+1]);
    return 0;
}